summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Peter Drauden <pjdraud@ilstu.edu>2010-05-11 20:01:10 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:10 +0200
commitaeaff03f0e132d1b3d97f68ec5e79d130c932170 (patch)
treeb28a9ed25f4605f7aca621c40b406f6216a13aa7 /misc
parent988861d8dca420f5c8b1663721869b99f04eacf8 (diff)
downloadslackbuilds-aeaff03f0e132d1b3d97f68ec5e79d130c932170.tar.gz
slackbuilds-aeaff03f0e132d1b3d97f68ec5e79d130c932170.tar.xz
misc/xclip: Added to 12.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/xclip/README7
-rw-r--r--misc/xclip/slack-desc19
-rw-r--r--misc/xclip/xclip.SlackBuild47
-rw-r--r--misc/xclip/xclip.info8
4 files changed, 81 insertions, 0 deletions
diff --git a/misc/xclip/README b/misc/xclip/README
new file mode 100644
index 0000000000..77e918b7fb
--- /dev/null
+++ b/misc/xclip/README
@@ -0,0 +1,7 @@
+Command-line interface to the X Clipboard
+
+xclip is a command line utility that is designed to run on any system
+with an X11 implementation. It can read data from standard input or a
+file and place it in an X selection for pasting into other X
+applications. xclip can also print an X selection to standard output,
+which can then be redirected to a file or another program.
diff --git a/misc/xclip/slack-desc b/misc/xclip/slack-desc
new file mode 100644
index 0000000000..a365bc36d4
--- /dev/null
+++ b/misc/xclip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xclip: xclip (Command-line interface to the X Clipboard)
+xclip:
+xclip: xclip is a command line utility that is designed to run on any system
+xclip: with an X11 implementation. It can read data from standard input or a
+xclip: file and place it in an X selection for pasting into other X
+xclip: applications. xclip can also print an X selection to standard output,
+xclip: which can then be redirected to a file or another program.
+xclip:
+xclip: Homepage: http://people.debian.org/~kims/xclip/
+xclip:
+xclip:
diff --git a/misc/xclip/xclip.SlackBuild b/misc/xclip/xclip.SlackBuild
new file mode 100644
index 0000000000..4df433b335
--- /dev/null
+++ b/misc/xclip/xclip.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for xclip
+
+PRGNAM=xclip
+VERSION=0.08
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS=$SLKCFLAGS CXXFLAGS=$SLKCFLAGS make
+strip --strip-unneeded xclip 2> /dev/null
+
+mkdir -p $PKG/usr/{bin,man/man1}
+cp -a xclip $PKG/usr/bin
+gzip -9c xclip.man > $PKG/usr/man/man1/xclip.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/xclip/xclip.info b/misc/xclip/xclip.info
new file mode 100644
index 0000000000..02770f02eb
--- /dev/null
+++ b/misc/xclip/xclip.info
@@ -0,0 +1,8 @@
+PRGNAM="xclip"
+VERSION="0.08"
+HOMEPAGE="http://people.debian.org/~kims/xclip/"
+DOWNLOAD="http://people.debian.org/~kims/xclip/xclip-0.08.tar.gz"
+MD5SUM="a90bde3fb0da6aad3a6042c4867245c6"
+MAINTAINER="Peter Drauden"
+EMAIL="pjdraud@ilstu.edu"
+APPROVED="rworkman"